- Documentations
- Push Documentation Paths
Documentations
Push Documentation Paths
POST
/cli/v1/documentations/{documentationId}/docs/paths/push
curl --request POST \
--url https://docsalot.dev/api/cli/v1/documentations/{documentationId}/docs/paths/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"files": [
{
"path": "string",
"title": "string",
"content": "string"
}
],
"deleted_paths": [
"string"
],
"message": "string"
}'
curl --request POST \
--url https://docsalot.dev/api/cli/v1/documentations/{documentationId}/docs/paths/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"files": [
{
"path": "string",
"title": "string",
"content": "string"
}
],
"deleted_paths": [
"string"
],
"message": "string"
}'​Authorizations
BearerAuth
required
string
http
​Query Parameters
documentationId
required
string
​Body
application/json
files
array
deleted_paths
array
message
string
​Response
application/json
200
400
401
404
New documentation version created from path-level changes
documentation_id
required
string
version
required
integer
file_count
required
integer
docs_file_count
required
integer
asset_file_count
required
integer
deleted_path_count
required
integer
created_at
required
string
curl --request POST \
--url https://docsalot.dev/api/cli/v1/documentations/{documentationId}/docs/paths/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"files": [
{
"path": "string",
"title": "string",
"content": "string"
}
],
"deleted_paths": [
"string"
],
"message": "string"
}'
curl --request POST \
--url https://docsalot.dev/api/cli/v1/documentations/{documentationId}/docs/paths/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"files": [
{
"path": "string",
"title": "string",
"content": "string"
}
],
"deleted_paths": [
"string"
],
"message": "string"
}'